# Verwandte Projekte

<p class="description">Eine sorgfältig kuratierte Liste von Bibliotheken, die einen Blick wert sind.</p>

Da der Umfang der Probleme, die Material-UI löst, begrenzt ist, versuchen wir, mit anderen Bibliotheken gut zusammen zu arbeiten. Fühlen Sie sich frei, einen Pull-Request einzureichen, um ein anderes Projekt hinzuzufügen; er wird angenommen, wenn das Projekt geeignet ist.

## Design-Ressourcen

- **Sketch**: [Sketch for Material-UI](https://themes.material-ui.com/themes/sketch-react/) — A large UI kit with over 1,500 handcrafted Material-UI's symbols 💎.
- **Figma**: 
  - https://material.5ly.co/ für Material-UI von Fively Team.
  - https://ui-kit.co/ ein Starter Kit für Ihr Material Design 2 Projekt.
- **Framer**: [Framer X Kit](https://packages.framer.com/package/material-ui/material-ui) für Material-UI.

Sie haben nicht die Design-Assets gefunden, die Ihr Team sucht? Lassen Sie es uns wissen!

## Bilder und Illustrationen

- [Unsplash](https://unsplash.com): 📷 Eine großartige Ressource, um schöne, hochauflösende, kostenlose Fotos zu finden, die du in deinen Projekten verwenden kannst.
- [unDraw](https://undraw.co/): 📐 Wie Unsplash, aber für großartige Vektor-Illustrationen.

## Komponenten

Dies ist eine Sammlung von Drittanbieterprojekten, die Material-UI erweitern.

### Layout

- [@mui-treasury/layout](https://mui-treasury.com/layout): Komponenten für das grundlegende Layout einer Seite. Sie können ein paar Beispiele finden, z. B. [ein reactjs.org-Klon](https://mui-treasury.com/layout/clones/reactjs).

### Tabellen

- [material-table](https://github.com/mbrn/material-table): Eine einfache und leistungsstarke Datatable für React, basierend auf der Material-UI-Tabelle mit einigen zusätzlichen Funktionen. Sie unterstützen viele verschiedene Anwendungsfälle (editierbar, filtern, gruppieren, sortieren, auswählen, i18n, Baumdaten und mehr). Sie sollten es sich mal angucken.
- [dx-react-grid-material-ui](https://devexpress.github.io/devextreme-reactive/react/grid/): A data grid for Material-UI with paging, sorting, filtering, grouping and editing features ([paid license](https://js.devexpress.com/licensing/)).
- [mui-datatables](https://github.com/gregnb/mui-datatables): Responsive data tables for Material-UI with filtering, sorting, search and more.
- [tubular-react](https://github.com/unosquare/tubular-react): A Material-UI table with local or remote data-source. Featuring filtering, sorting, free-text search, export to CSV locally, and aggregations.

### Benachrichtigungen

- [notistack](https://github.com/iamhosseindhv/notistack): Ermöglicht die einfache Anzeige von Snackbars (damit Sie sich nicht mit dem Öffnen/Schließen von Snackbars herumschlagen müssen).

### Upload

- [material-ui-dropzone](https://github.com/Yuvaleros/material-ui-dropzone): Gebaut auf Basis der React-Dropzone.

### Formulare

- [formik-material-ui](https://github.com/stackworx/formik-material-ui) Bindungen zur Verwendung von Material-UI mit formik.
- [redux-form-material-ui](https://github.com/erikras/redux-form-material-ui) Eine Reihe von Wrapper-Komponenten, die die Verwendung der Material-Benutzeroberfläche mit Redux-Formular erleichtern.
- [final-form-material-ui](https://github.com/Deadly0/final-form-material-ui) Eine Reihe von Wrapper-Komponenten, die die Verwendung der Material-Benutzeroberfläche mit Final Form erleichtern.
- [mui-rff](https://github.com/lookfirst/mui-rff) A set of wrapper components to facilitate using Material UI with React Final Form.

### Carousel

- [material-auto-rotating-carousel](https://mui.wertarbyte.com/#material-auto-rotating-carousel): Neue Benutzer in Ihre App einführen.

### Image

- [material-ui-image](https://mui.wertarbyte.com/#material-ui-image): Images are ugly until they're loaded. Materialize it with material image! It will fade in like the material image loading pattern suggests.

### Paginierung

- [material-ui-flat-pagination](https://github.com/szmslab/material-ui-flat-pagination): A flat design pagination component for Material-UI.

### Schedulers/Calendars

- [dx-react-scheduler-material-ui](https://devexpress.github.io/devextreme-reactive/react/scheduler/): A scheduler/calendar component for Material-UI with multiple calendar views, editing, recurrence appointments and date navigation features ([paid license](https://js.devexpress.com/licensing/)).

### Charts

- [dx-react-chart-material-ui](https://devexpress.github.io/devextreme-reactive/react/chart/): Charts for Material-UI that visualizes data using a variety of series types, including bar, line, area, scatter, pie, and more ([paid license](https://js.devexpress.com/licensing/)).

### Dialoge

- [material-ui-confirm](https://github.com/jonatanklosko/material-ui-confirm): Provides easy to use confirmation dialogs to simplify confirming user actions without writing boilerplate code.

## Theming

- [create-mui-theme](https://react-theming.github.io/create-mui-theme/): An online tool for creating Material-UI themes via Material Design Color Tool.
- [material-ui-theme-editor](https://in-your-saas.github.io/material-ui-theme-editor/): A tool to generate themes for your Material-UI applications by just selecting the colors and having a live preview.
- [Material palette generator](https://material.io/inline-tools/color/): Mit dem Material-Palettengenerator können Sie eine Palette für jede von Ihnen eingegebene Farbe erstellen.